Frama-C Bug Tracking System

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0002489Frama-CKernel > libcpublic2020-01-08 20:512020-01-22 15:48
Reportervkraus 
Assigned Tomaroneze 
PrioritynormalSeverityminorReproducibilityalways
StatusresolvedResolutionfixed 
Platformx86_64OSopamOS Version
Product Version 
Target VersionFixed in VersionFrama-C GIT, precise the release id 
Summary0002489: unistd.h declares __fc_ttyname but it has no definition
DescriptionWhen compiling __fc_runtime.c, I get /usr/bin/ld: __fc_runtime.o:(.data.rel+0x0): undefined reference to `__fc_ttyname' collect2: error: ld returned 1 exit status
Steps To Reproducegcc -I$(frama-c -print-share-path)/libc -nostdinc -D__FC_MACHDEP_X86_64 -o __fc_runtime.o -c $(frama-c -print-share-path)/libc/__fc_runtime.c (ignore the warnings) echo "int main () { return 0; }" > main.c gcc main.c __fc_runtime.o You should get the error.
Additional Informationgcc version 8.3.0 (debian buster) frama-c version 20.0 (Calcium)
TagsNo tags attached.
Attached Files

- Relationships

-  Notes
(0006929)
vkraus (reporter)
2020-01-08 20:54

Sorry, the steps are collapsed on a single line. The first command runs from gcc to __fc_runtime.c, and the second from "echo ..." to "> main.c".
(0006930)
maroneze (administrator)
2020-01-15 18:43

Thanks for the report. I believe adding a "unistd.c" file with a non-extern declaration for that symbol should suffice. We'll also add a non-regression test to avoid re-introducing this kind of bug in the future.
(0006932)
maroneze (administrator)
2020-01-22 15:47
edited on: 2020-01-22 15:48

Fixed in commit eca7b9d1ec.

- Issue History
Date Modified Username Field Change
2020-01-08 20:51 vkraus New Issue
2020-01-08 20:51 vkraus Status new => assigned
2020-01-08 20:51 vkraus Assigned To => maroneze
2020-01-08 20:54 vkraus Note Added: 0006929
2020-01-15 18:43 maroneze Note Added: 0006930
2020-01-15 18:43 maroneze Status assigned => confirmed
2020-01-22 15:47 maroneze Note Added: 0006932
2020-01-22 15:47 maroneze Status confirmed => resolved
2020-01-22 15:47 maroneze Fixed in Version => Frama-C GIT, precise the release id
2020-01-22 15:47 maroneze Resolution open => fixed
2020-01-22 15:48 maroneze Note Edited: 0006932 View Revisions


Copyright © 2000 - 2020 MantisBT Team
Powered by Mantis Bugtracker